from django.db import models
import uuid
from . import BaseModel, CustomUser


class Purchase(models.Model):
    id = models.BigIntegerField(primary_key=True, unique=True, editable=True)
    user = models.ForeignKey(CustomUser, on_delete=models.CASCADE)
    purchase_date = models.DateTimeField()
    product_id = models.CharField(max_length=100)
    quantity = models.IntegerField(null=True, blank=True)
    revocation_date = models.DateTimeField(null=True, blank=True)
    expiration_date = models.DateTimeField(null=True, blank=True)

    def delete_dependencies(self):
        pass

    def __str__(self):
        return f"{self.id} > {self.product_id} - {self.purchase_date} - {self.user.username}"
